#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libmusicbrainz-5.1.0

- Next

  libquicktime-1.2.4

- Up
- Home

# libogg-1.3.5

## Introduction to libogg

The libogg package contains the Ogg file structure. This is useful for creating (encoding) or playing (decoding) a single physical bit stream.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.xiph.org/releases/ogg/libogg-1.3.5.tar.xz

- Download MD5 sum: 3178c98341559657a15b185bf5d700a5

- Download size: 420 KB

- Estimated disk space required: 3.5 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libogg

## Installation of libogg

Install libogg by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libogg-1.3.5 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libogg.so
Installed Directories: /usr/include/ogg and /usr/share/doc/libogg-1.3.5

### Short Descriptions

`libogg.so` | provides the functions required for programs to read or write Ogg formatted bit streams

Last updated on

- Prev

  libmusicbrainz-5.1.0

- Next

  libquicktime-1.2.4

- Up
- Home